## net.sf.saxon.evpull
Class EventIteratorToReceiver

    java.lang.Object
      net.sf.saxon.evpull.EventIteratorToReceiver

    public class EventIteratorToReceiver

extends Object

Class to read pull events from an EventIterator and write them to a Receiver

Method Summary
`static void` `copy(EventIterator in, SequenceReceiver out)` Read the data obtained from an EventIterator and write the same data to a SequenceReceiver

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### copy

    public static void copy(EventIterator in,
                            SequenceReceiver out)
                     throws XPathException

  Read the data obtained from an EventIterator and write the same data to a SequenceReceiver

  Parameters:
    `in` - the input EventIterator
    `out` - the output Receiver
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.